// (C)2007 Attila Kovacs <attila@submm.caltech.edu>




public class Gnomonic extends ZenithalProjection { 
	
	public Gnomonic() {}

	@Override
	public final double R(double theta) {
		if(SphericalCoordinates.equalAngles(theta, 0.5*Math.PI)) return 0.0;
		return 1.0 / Math.tan(theta);
	}

	@Override
	public final double thetaOfR(double value) {
		if(value == 0.0) return 0.5 * Math.PI;
		else if(Double.isNaN(value)) return 0.0;
		else return Math.atan(1.0 / value);
	}

	public String getFitsID() { return fitsID; }

	public String getFullName() { return fullName; }

	
	public final static String fitsID = "TAN";
	public final static String fullName = "Gnomonic";
	
	

}
